> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monxa.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Customer

> Update a customer by its unique identifier.



## OpenAPI

````yaml api-reference/openapi.json put /v1/customers
openapi: 3.0.1
info:
  title: Monxa API
  description: ''
  version: 1.0.0
servers: []
security:
  - Bearer: []
tags:
  - name: balances
  - name: customers
  - name: merchants
  - name: charges
  - name: payouts
paths:
  /v1/customers:
    put:
      tags:
        - customers
      summary: Update Customer
      description: Update a customer by its unique identifier.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCustomer'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerDto'
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          headers: {}
        '401':
          description: Unauthorized
          headers: {}
        '403':
          description: Forbidden
          headers: {}
        '404':
          description: Not Found
          headers: {}
        '409':
          description: Conflict
          headers: {}
        '429':
          description: Too Many Requests
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          headers: {}
      deprecated: false
      security:
        - Bearer: []
components:
  schemas:
    UpdateCustomer:
      type: object
      properties:
        address: {}
        id:
          type: string
          format: uuid
        metadata:
          type: object
          additionalProperties:
            type: string
          properties: {}
          nullable: true
        shipping:
          $ref: '#/components/schemas/ShippingDto'
        name:
          type: string
        description:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        tax:
          $ref: '#/components/schemas/TaxDto'
    CustomerDto:
      required:
        - address
        - name
        - id
        - created_on
      type: object
      properties:
        address:
          $ref: '#/components/schemas/Address'
        shipping:
          $ref: '#/components/schemas/ShippingDto'
        name:
          type: string
        description:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        tax:
          $ref: '#/components/schemas/TaxDto'
        id:
          type: string
          format: uuid
        created_on:
          type: string
          format: date-time
        updated_on:
          type: string
          format: date-time
          nullable: true
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    ShippingDto:
      required:
        - phone
        - receiver_name
      type: object
      properties:
        address: {}
        phone:
          type: string
        receiver_name:
          type: string
      nullable: true
    TaxDto:
      required:
        - id_type
        - id_value
      type: object
      properties:
        id_type:
          type: string
        id_value:
          type: string
      nullable: true
    Address:
      required:
        - country
        - line1
      type: object
      properties:
        line1:
          type: string
          description: Primary address line (e.g., street name, building number).
        line2:
          type: string
          description: Secondary address line (e.g., apartment, suite, or block).
          nullable: true
        city:
          type: string
          description: City, town, or locality.
          nullable: true
        state:
          type: string
          description: State, province, or region (if applicable).
          nullable: true
        country:
          type: string
          description: Two-letter ISO 3166-1 alpha-2 country code (e.g., SG, MY, TH).
        postal_code:
          type: string
          description: Postal or ZIP code of the address.
          nullable: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````